Loading...
Searching...
No Matches
profiling.h File Reference
`#include <starpu.h>`
`#include <starpu_profiling.h>`
`#include <starpu_util.h>`
`#include <common/config.h>`

Go to the source code of this file.

## Functions

struct starpu_profiling_task_info * | _starpu_allocate_profiling_info_if_needed (struct starpu_task *task)
void | _starpu_worker_update_profiling_info_executing (int workerid, int executed_tasks, uint64_t used_cycles, uint64_t stall_cycles, double consumed_energy, double flops)
void | _starpu_worker_start_state (int workerid, enum _starpu_worker_status_index index, struct timespec *start_time)
void | _starpu_worker_stop_state (int workerid, enum _starpu_worker_status_index index, struct timespec *stop_time)
void | _starpu_initialize_busid_matrix (void)
int | _starpu_register_bus (int src_node, int dst_node)
void | _starpu_bus_update_profiling_info (int src_node, int dst_node, size_t size)
void | _starpu_profiling_set_task_push_start_time (struct starpu_task *task)
void | _starpu_profiling_set_task_push_end_time (struct starpu_task *task)
void | _starpu_profiling_init (void)
void | _starpu_profiling_start (void)
void | _starpu_profiling_terminate (void)

## Variables

int | _starpu_codelet_profiling
int | _starpu_energy_profiling

## Function Documentation

## _starpu_allocate_profiling_info_if_needed()

struct starpu_profiling_task_info * _starpu_allocate_profiling_info_if_needed | ( | struct starpu_task * | task | ) |

Create a task profiling info structure (with the proper time stamps) in case profiling is enabled.

## _starpu_worker_update_profiling_info_executing()

void _starpu_worker_update_profiling_info_executing | ( | int | workerid,
|  | int | executed_tasks,
|  | uint64_t | used_cycles,
|  | uint64_t | stall_cycles,
|  | double | consumed_energy,
|  | double | flops
| ) |  |

Update the per-worker profiling info after a task (or more) was executed. This tells StarPU how much time was spent doing computation.

## _starpu_worker_start_state()

void _starpu_worker_start_state | ( | int | workerid,
|  | enum _starpu_worker_status_index | index,
|  | struct timespec * | start_time
| ) |  |

Record the date when the worker entered this state. This permits to measure how much time was spent in this state. start_time is optional, if unspecified, _starpu_worker_start_state will just take the current time.

## _starpu_initialize_busid_matrix()

void _starpu_initialize_busid_matrix | ( | void |  | ) |

When StarPU is initialized, a matrix describing all the bus between memory nodes is created: it indicates whether there is a physical link between two memory nodes or not. This matrix should contain the identifier of the bus between two nodes or -1 in case there is no link.

## _starpu_register_bus()

int _starpu_register_bus | ( | int | src_node,
|  | int | dst_node
| ) |  |

Tell StarPU that there exists a link between the two memory nodes. This function returns the identifier associated to the bus which can be used to retrieve profiling information about the bus activity later on.

## _starpu_bus_update_profiling_info()

void _starpu_bus_update_profiling_info | ( | int | src_node,
|  | int | dst_node,
|  | size_t | size
| ) |  |

Tell StarPU that "size" bytes were transferred between the two specified memory nodes.

## _starpu_profiling_init()

void _starpu_profiling_init | ( | void |  | ) |

This function needs to be called before other starpu_profile_* functions

## _starpu_profiling_start()

void _starpu_profiling_start | ( | void |  | ) |

This function starts profiling if the STARPU_PROFILING environment variable was set